JavaScript
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
const company = await client.hris.company.retrieve();
console.log(company.id);from finch import Finch
client = Finch(
access_token="My Access Token",
)
company = client.hris.company.retrieve()
print(company.id)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go/v2"
"github.com/Finch-API/finch-api-go/v2/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
company, err := client.HRIS.Company.Get(context.TODO(), finchgo.HRISCompanyGetParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", company.ID)
}
package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.Company;
import com.tryfinch.api.models.HrisCompanyRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
Company company = client.hris().company().retrieve();
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.Company
import com.tryfinch.api.models.HrisCompanyRetrieveParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val company: Company = client.hris().company().retrieve()
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
company = finch.hris.company.retrieve
puts(company)curl --request GET \
--url https://api.tryfinch.com/employer/company \
--header 'Authorization: Bearer <token>' \
--header 'Finch-API-Version: <finch-api-version>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryfinch.com/employer/company",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Finch-API-Version: <finch-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "514aa2b7-898f-4ce7-bc05-c2fe993713e8",
"legal_name": "Acme, Inc.",
"entity": {
"type": "corporation",
"subtype": "s_corporation"
},
"ein": "12-3456789",
"primary_email": "founders@acme.com",
"primary_phone_number": "+14475678901",
"departments": [
{
"name": "Engineering",
"parent": null
},
{
"name": "Platform",
"parent": {
"name": "Engineering"
}
}
],
"locations": [
{
"line1": "628 Bear Ave",
"line2": "Apt A",
"city": "Schenectady",
"state": "NY",
"postal_code": "94301",
"country": "US"
}
],
"accounts": [
{
"routing_number": "123456789",
"account_name": "CHECKING ACCOUNT",
"institution_name": "BANK OF AMERICA, N.A.",
"account_type": "checking",
"account_number": "98765432"
}
]
}Organization
Company
Read basic company data
GET
/
employer
/
company
JavaScript
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
const company = await client.hris.company.retrieve();
console.log(company.id);from finch import Finch
client = Finch(
access_token="My Access Token",
)
company = client.hris.company.retrieve()
print(company.id)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go/v2"
"github.com/Finch-API/finch-api-go/v2/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
company, err := client.HRIS.Company.Get(context.TODO(), finchgo.HRISCompanyGetParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", company.ID)
}
package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.Company;
import com.tryfinch.api.models.HrisCompanyRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
Company company = client.hris().company().retrieve();
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.Company
import com.tryfinch.api.models.HrisCompanyRetrieveParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val company: Company = client.hris().company().retrieve()
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
company = finch.hris.company.retrieve
puts(company)curl --request GET \
--url https://api.tryfinch.com/employer/company \
--header 'Authorization: Bearer <token>' \
--header 'Finch-API-Version: <finch-api-version>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryfinch.com/employer/company",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Finch-API-Version: <finch-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "514aa2b7-898f-4ce7-bc05-c2fe993713e8",
"legal_name": "Acme, Inc.",
"entity": {
"type": "corporation",
"subtype": "s_corporation"
},
"ein": "12-3456789",
"primary_email": "founders@acme.com",
"primary_phone_number": "+14475678901",
"departments": [
{
"name": "Engineering",
"parent": null
},
{
"name": "Platform",
"parent": {
"name": "Engineering"
}
}
],
"locations": [
{
"line1": "628 Bear Ave",
"line2": "Apt A",
"city": "Schenectady",
"state": "NY",
"postal_code": "94301",
"country": "US"
}
],
"accounts": [
{
"routing_number": "123456789",
"account_name": "CHECKING ACCOUNT",
"institution_name": "BANK OF AMERICA, N.A.",
"account_type": "checking",
"account_number": "98765432"
}
]
}Headers
Query Parameters
The entity IDs to specify which entities' data to access. Provide exactly one entity ID per request; a maximum of one is accepted. Required when the connection has more than one entity — omitting it returns a 400 invalid_request_error. Optional for single-entity connections.
Required array length:
1 elementExample:
["550e8400-e29b-41d4-a716-446655440000"]
Response
Basic company data
Was this page helpful?